> ## Documentation Index
> Fetch the complete documentation index at: https://developers.everflow.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Tiered Commission

> Retrieve a single tiered commission configuration by its ID.




## OpenAPI

````yaml openapi/tiered-commissions.yaml get /networks/tieredcommissions/{commissionId}
openapi: 3.0.3
info:
  title: Everflow Network API - Tiered Commissions
  description: >
    Endpoints for managing tiered commission structures. Tiered commissions
    automatically adjust partner payouts or revenue based on performance metrics
    like conversion count, sales volume, or revenue thresholds within specified
    time periods. For setup, see the [Tiered Commissions
    guide](https://helpdesk.everflow.io/customer/tiered-commissions).
  version: 1.0.0
servers:
  - url: https://api.eflow.team/v1
security: []
tags:
  - name: Tiered Commissions
paths:
  /networks/tieredcommissions/{commissionId}:
    get:
      tags:
        - Tiered Commissions
      summary: Get Tiered Commission
      description: |
        Retrieve a single tiered commission configuration by its ID.
      parameters:
        - in: path
          name: commissionId
          required: true
          schema:
            type: integer
          description: The ID of the tiered commission you want to fetch.
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TieredCommission'
        '404':
          description: Tiered commission not found.
      security:
        - API Key: []
components:
  schemas:
    TieredCommission:
      type: object
      description: >-
        A tiered commission configuration with all computed and relational
        fields.
      properties:
        network_tiered_commission_id:
          type: integer
          description: Unique tiered commission ID.
          example: 1
        network_id:
          type: integer
          description: Network ID.
          example: 1
        name:
          type: string
          description: The name of the tiered commission.
          example: SilverCommission
        notes:
          type: string
          description: Note for internal usage.
          example: Monthly payement
        status:
          type: string
          description: The tiered commissions status. Can either be `active` or `inactive`.
          enum:
            - active
            - inactive
          example: active
        start_date:
          type: string
          description: >-
            Start of when rule goes into effect. This can be set to a future
            date.
          example: '2020-07-23'
        end_date:
          type: string
          description: End of when rule goes into effect.
          example: '2020-08-22'
        period:
          type: string
          description: >-
            The tiered commissions period. Can either be `daily`, `weekly`,
            `monthly`, `quarterly` or `global`.
          enum:
            - daily
            - weekly
            - monthly
            - quarterly
            - global
          example: monthly
        network_offer_payout_revenue_id:
          type: integer
          description: ID of the offer payout revenue.
          example: 0
        is_apply_all_affiliates:
          type: boolean
          description: >-
            Whether or not you want to apply the tiered commission to all
            affiliates. Defaults to false.
          example: false
        network_affiliate_ids:
          type: array
          items:
            type: integer
          description: ID of the Affiliates.
          example:
            - 21
            - 35
            - 28
        network_offer_ids:
          type: array
          items:
            type: integer
          description: ID of the offers.
          example:
            - 1
            - 15
            - 12
        network_advertiser_ids:
          type: array
          nullable: true
          items:
            type: integer
          description: ID of the advertisers.
          example: null
        is_payout_enabled:
          type: boolean
          description: >-
            Whether or not you want to enable the payout settings. Defaults to
            false.
          example: true
        payout_action:
          type: string
          description: >
            Type of payout action. Note: sending `exact` will be stored as
            `unknown` — use only `increase`, `decrease`, `flat_increase`, or
            `flat_decrease`.
          enum:
            - increase
            - decrease
            - flat_increase
            - flat_decrease
            - unknown
          example: increase
        payout_value:
          type: number
          description: >-
            The payout modifier value. Required only if `is_payout_enabled` is
            true. Must be greater than 0.
          example: 10
        is_revenue_enabled:
          type: boolean
          description: Whether or not you want to enable the revenue. Defaults to false.
          example: true
        revenue_action:
          type: string
          description: >
            Type of revenue action. Note: sending `exact` will be stored as
            `unknown` — use only `increase`, `decrease`, `flat_increase`, or
            `flat_decrease`.
          enum:
            - increase
            - decrease
            - flat_increase
            - flat_decrease
            - unknown
          example: decrease
        revenue_value:
          type: number
          description: >-
            The revenue modifier value. Required only if `is_revenue_enabled` is
            true. Must be greater than 0.
          example: 6
        payout_goal:
          type: integer
          description: The payout goal of your tiered commission.
          example: 0
        revenue_goal:
          type: integer
          description: The revenue goal of your tiered commission.
          example: 121
        sale_amount_goal:
          type: integer
          description: The sale amount goal of your tiered commission.
          example: 0
        conversion_goal:
          type: integer
          description: The conversion goal of your tiered commission.
          example: 10
        event_goal:
          type: integer
          description: The event goal of your tiered commission.
          example: 0
        relationship:
          type: object
          description: Related entities. Always returns an empty object `{}` in practice.
        payout_max:
          type: integer
          description: The maximum percentage of payout allowed.
          example: 0
        revenue_max:
          type: integer
          description: The maximum amount of revenue allowed.
          example: 1000
        sale_amount_max:
          type: integer
          description: The maximum number of sale amount allowed.
          example: 0
        conversion_max:
          type: integer
          description: The maximum number of conversions allowed.
          example: 0
        event_max:
          type: integer
          description: The maximum number of events allowed.
          example: 0
        is_retroactive_payout_enabled:
          type: boolean
          description: Whether retroactive payout adjustments are enabled.
          example: false
        retroactive_payout_action:
          type: string
          description: >
            The retroactive payout action type. Retroactive actions support
            `exact` in addition to the standard action types.
          enum:
            - increase
            - decrease
            - flat_increase
            - flat_decrease
            - exact
            - unknown
          example: flat_increase
        retroactive_payout_value:
          type: number
          description: The retroactive payout modifier value.
          example: 0
        retroactive_payout_type:
          type: string
          description: The retroactive payout type.
          enum:
            - cpa
            - cps
            - ''
          example: ''
        retroactive_payout_percentage:
          type: number
          description: The retroactive payout percentage.
          example: 0
        is_retroactive_revenue_enabled:
          type: boolean
          description: Whether retroactive revenue adjustments are enabled.
          example: false
        retroactive_revenue_action:
          type: string
          description: >
            The retroactive revenue action type. Retroactive actions support
            `exact` in addition to the standard action types.
          enum:
            - increase
            - decrease
            - flat_increase
            - flat_decrease
            - exact
            - unknown
          example: flat_decrease
        retroactive_revenue_value:
          type: number
          description: The retroactive revenue modifier value.
          example: 0
        retroactive_revenue_type:
          type: string
          description: The retroactive revenue type.
          enum:
            - rpa
            - rps
            - ''
          example: ''
        retroactive_revenue_percentage:
          type: number
          description: The retroactive revenue percentage.
          example: 0
        time_created:
          type: integer
          example: 1734455015
          description: Unix timestamp of creation.
        time_saved:
          type: integer
          example: 1734455015
          description: Unix timestamp of last update.
  securitySchemes:
    API Key:
      description: The Everflow API key generated from the Control Center > Security.
      in: header
      name: X-Eflow-Api-Key
      type: apiKey

````